BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.IComparable System.IComparable<System.Int32> System.IConvertible System.IEquatable<System.Int32> System.IFormattable System.Runtime.InteropServices.ComVisible(true)

is an immutable value type that represents signed integers with values that range from negative 2,147,483,648 (which is represented by the constant) through positive 2,147,483,647 (which is represented by the constant. The .NET Framework also includes an unsigned 32-bit integer value type, , which represents values that range from 0 to 4,294,967,295.

## Instantiating an Int32 Value

You can instantiate an value in several ways:

You can declare an variable and assign it a literal integer value that is within the range of the data type. The following example declares two variables and assigns them values in this way.

code reference: System.Int32.Instantiation#1

You can assign the value of an integer type whose range is a subset of the type. This is a widening conversion that does not require a cast operator in C# or a conversion method in Visual Basic.

code reference: System.Int32.Instantiation#4

You can assign the value of a numeric type whose range exceeds that of the type. This is a narrowing conversion, so it requires a cast operator in C# and a conversion method in Visual Basic if Option Strict is on. If the numeric value is a , , or value that includes a fractional component, the handling of its fractional part depends on the compiler performing the conversion. The following example performs narrowing conversions to assign several numeric values to variables.

code reference: System.Int32.Instantiation#2

You can call a method of the class to convert any supported type to an value. This is possible because supports the interface. The following example illustrates the conversion of an array of values to values.

code reference: System.Convert.ToInt32#4

You can call the or method to convert the string representation of an value to an . The string can contain either decimal or hexadecimal digits. The following example illustrates the parse operation by using both a decimal and a hexadecimal string.

code reference: System.Int32.Instantiation#3

## Performing Operations on Int32 Values

The type supports standard mathematical operations such as addition, subtraction, division, multiplication, negation, and unary negation. Like the other integral types, the type also supports the bitwise AND, OR, XOR, left shift, and right shift operators.

You can use the standard numeric operators to compare two values, or you can call the or method.

You can also call the members of the class to perform a wide range of numeric operations, including getting the absolute value of a number, calculating the quotient and remainder from integral division, determining the maximum or minimum value of two integers, getting the sign of a number, and rounding a number.

## Representing an Int32 as a String

The type provides full support for standard and custom numeric format strings. (For more information, see Formatting Types, Standard Numeric Format Strings, and Custom Numeric Format Strings.)

To format an value as an integral string with no leading zeros, you can call the parameterless method. By using the "D" format specifier, you can also include a specified number of leading zeros in the string representation. By using the "N" format specifier, you can include group separators and specify the number of decimal digits to appear in the string representation of the number. By using the "X" format specifier, you can represent an value as a hexadecimal string. The following example formats the elements in an array of values in these four ways.

code reference: System.Int32.Formatting#1

You can also format an value as a binary, octal, decimal, or hexadecimal string by calling the method and supplying the base as the method's second parameter. The following example calls this method to display the binary, octal, and hexadecimal representations of an array of integer values.

code reference: System.Int32.Formatting#2

## Working with Non-Decimal 32-Bit Integer Values

In addition to working with individual integers as decimal values, you may want to perform bitwise operations with integer values, or work with the binary or hexadecimal representations of integer values. values are represented in 31 bits, with the thirty-second bit used as a sign bit. Positive values are represented by using sign-and-magnitude representation. Negative values are in two's complement representation. This is important to keep in mind when you perform bitwise operations on values or when you work with individual bits. In order to perform a numeric, Boolean, or comparison operation on any two non-decimal values, both values must use the same representation.

Represents a 32-bit signed integer.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method implements the interface and performs slightly better than the method because it does not have to convert the parameter to an object.

  Depending on your programming language, it might be possible to code a method where the parameter type has fewer bits (is narrower) than the instance type. This is possible because some programming languages perform an implicit widening conversion that represents the parameter as a type with as many bits as the instance.

  For example, suppose the instance type is and the parameter type is . The Microsoft C# compiler generates instructions to represent the value of the parameter as an , then generates a method that compares the values of the instance and the parameter representation.

  Consult your programming language's documentation to determine whether its compiler performs implicit widening conversions on numeric types.

  Compares this instance to a specified 32-bit signed integer and returns an indication of their relative values.

  A signed number indicating the relative values of this instance and .

  Return Value

  Description

  Less than zero

  This instance is less than .

  Zero

  This instance is equal to .

  Greater than zero

  This instance is greater than .

  An integer to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` is not a and is not a null reference.

  Any instance of , regardless of its value, is considered greater than null.

  must be null or an instance of ; otherwise, an exception is thrown.

  Compares this instance to a specified object and returns an indication of their relative values.

  A signed number indicating the relative values of this instance and .

  Return Value

  Description

  Less than zero

  This instance is less than .

  Zero

  This instance is equal to .

  Greater than zero

  This instance is greater than .

  -or-

  is null.

  An object to compare, or null. 0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method implements the interface, and performs slightly better than because it does not have to convert the parameter to an object.

  Returns a value indicating whether this instance is equal to a specified value.

  true if has the same value as this instance; otherwise, false.

  An value to compare to this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method overrides .

  Returns a value indicating whether this instance is equal to a specified object.

  true if is an instance of and equals the value of this instance; otherwise, false.

  An object to compare with this instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TypeCode To be added.

  Returns the for value type .

  The enumerated constant, .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 2147483647

  The value of this constant is 2,147,483,647; that is, hexadecimal 0x7FFFFFFF.

  Represents the largest possible value of an . This field is constant.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 -2147483648

  The value of this constant is -2,147,483,648; that is, hexadecimal 0x80000000.

  Represents the smallest possible value of . This field is constant.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` is a null reference. is not in the correct style. represents a number greater than or less than .

  This example demonstrates parsing a string to a .

  `using System; public class Int32ParseClass { public static void Main() { string str = " 100 "; Console.WriteLine("String: \"{0}\" <Int32> {1}",str,Int32.Parse(str)); } }`

  The output is

  String: " 100 " <Int32> 100

  The parameter contains a number of the form:

  [ws][sign]digits[ws]

  Items in square brackets ([ and ]) are optional. The following table describes each element.

  Element

  Description

  ws

  Optional white space.

  sign

  An optional sign.

  digits

  A sequence of digits ranging from 0 to 9.

  The parameter is interpreted using the style. In addition to decimal digits, only leading and trailing spaces together with a leading sign are allowed. To explicitly define the style elements that can be present in , use either the or the method.

  The parameter is parsed using the formatting information in a object initialized for the current system culture. For more information, see . To parse a string using the formatting information of some other culture, use the method.

  Converts the string representation of a number to its 32-bit signed integer equivalent.

  A 32-bit signed integer equivalent to the number contained in .

  A string containing a number to convert. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` is a null reference. is not in the correct style. represents a number greater than or less than .

  The parameter defines the style elements (such as white space, the positive or negative sign symbol, or the thousands separator symbol) that are allowed in the parameter for the parse operation to succeed. It must be a combination of bit flags from the enumeration. Depending on the value of , the parameter may include the following elements:

  [ws][$][sign][digits,]digits[.fractional_digits][e[sign]exponential_digits][ws]

  Or, if includes :

  [ws]hexdigits[ws]

  Items in square brackets ([ and ]) are optional. The following table describes each element.

  Element

  Description

  ws

  Optional white space. White space can appear at the beginning of if includes the flag, and it can appear at the end of if includes the flag.

  $

  A culture-specific currency symbol. Its position in the string is defined by the and properties of the current culture. The current culture's currency symbol can appear in if includes the flag.

  sign

  An optional sign. The sign can appear at the beginning of if includes the flag, and it can appear at the end of if includes the flag. Parentheses can be used in to indicate a negative value if includes the flag.

  digits

  fractional_digits

  exponential_digits

  A sequence of digits from 0 through 9. For fractional_digits, only the digit 0 is valid.

  ,

  A culture-specific thousands separator symbol. The current culture's thousands separator can appear in if includes the flag.

  .

  A culture-specific decimal point symbol. The current culture's decimal point symbol can appear in if includes the flag. Only the digit 0 can appear as a fractional digit for the parse operation to succeed; if fractional_digits includes any other digit, an is thrown.

  e

  The 'e' or 'E' character, which indicates that the value is represented in exponential notation. The parameter can represent a number in exponential notation if includes the flag.

  hexdigits

  A sequence of hexadecimal digits from 0 through f, or 0 through F.

  A string with digits only (which corresponds to the style) always parses successfully. Most of the remaining members control elements that may be but are not required to be present in the input string. The following table indicates how individual members affect the elements that may be present in .

  NumberStyles value

  Elements permitted in s in addition to digits

  The digits element only.

  The decimal point ( . ) and fractional-digits elements.

  The parameter can also use exponential notation.

  The ws element at the beginning of .

  The ws element at the end of .

  The sign element at the beginning of .

  The sign element at the end of .

  The sign element in the form of parentheses enclosing the numeric value.

  The thousands separator ( , ) element.

  The $ element.

  All. The parameter cannot represent a hexadecimal number or a number in exponential notation.

  The ws element at the beginning or end of , sign at the beginning of , and the decimal point ( . ) symbol. The parameter can also use exponential notation.

  The , , thousands separator ( , ), and decimal point ( . ) elements.

  All styles, except cannot represent a hexadecimal number.

  If the flag is used, must be a hexadecimal value. The only other flags that can be combined with the parameter it are and . (The enumeration includes a composite number style, , that includes both white space flags.)

  The parameter is parsed using the formatting information in a object that is initialized for the current system culture. To specify the culture whose formatting information is used for the parse operation, call the overload.

  Converts the string representation of a number in a specified style to its 32-bit signed integer equivalent.

  A 32-bit signed integer equivalent to the number specified in .

  A string containing a number to convert. A bitwise combination of the enumeration values that indicates the style elements that can be present in . A typical value to specify is . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` is a null reference. is not in the correct style. represents a number greater than or less than .

  This overload of the method is typically used to convert text that can be formatted in a variety of ways to an value. For example, it can be used to convert the text entered by a user into an HTML text box to a numeric value.

  The parameter contains a number of the form:

  [ws][sign]digits[ws]

  Items in square brackets ([ and ]) are optional. The following table describes each element.

  Element

  Description

  ws

  Optional white space.

  sign

  An optional sign.

  digits

  A sequence of digits ranging from 0 to 9.

  The parameter is interpreted using the style. In addition to decimal digits, only leading and trailing spaces together with a leading sign are allowed. To explicitly define the style elements that can be present in , use the method.

  The parameter is an implementation, such as a or object. The parameter supplies culture-specific information about the format of . If is null, the object for the current culture is used.

  Converts the string representation of a number in a specified culture-specific format to its 32-bit signed integer equivalent.

  A 32-bit signed integer equivalent to the number specified in .

  A string containing a number to convert. An object that supplies culture-specific formatting information about . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` is a null reference. is not in the correct style. represents a number greater than or less than . A string containing a number to convert. A bitwise combination of enumeration values that indicates the style elements that can be present in . A typical value to specify is .

  The parameter defines the style elements (such as white space or the positive sign) that are allowed in the parameter for the parse operation to succeed. It must be a combination of bit flags from the enumeration. Depending on the value of , the parameter may include the following elements:

  [ws][$][sign][digits,]digits[.fractional_digist][e[sign]exponential_digits][ws]

  Or, if includes :

  [ws]hexdigits[ws]

  Items in square brackets ([ and ]) are optional. The following table describes each element.

  Element

  Description

  ws

  Optional white space. White space can appear at the beginning of if includes the flag, and it can appear at the end of if includes the flag.

  $

  A culture-specific currency symbol. Its position in the string is defined by the property of the object returned by the method of the parameter. The currency symbol can appear in if includes the flag.

  sign

  An optional sign. The sign can appear at the beginning of if includes the flag or at the end of if includes the flag. Parentheses can be used in to indicate a negative value if includes the flag.

  digits

  fractional_digits

  exponential_digits

  A sequence of digits from 0 through 9. For fractional_digits, only the digit 0 is valid.

  ,

  A culture-specific thousands separator symbol. The thousands separator of the culture specified by can appear in if includes the flag.

  .

  A culture-specific decimal point symbol. The decimal point symbol of the culture specified by can appear in if includes the flag.

  Only the digit 0 can appear as a fractional digit for the parse operation to succeed; if fractional_digits includes any other digit, an is thrown.

  e

  The 'e' or 'E' character, which indicates that the value is represented in exponential notation. The parameter can represent a number in exponential notation if includes the flag.

  hexdigits

  A sequence of hexadecimal digits from 0 through f, or 0 through F.

  A string with decimal digits only (which corresponds to the style) always parses successfully if it is in the range of the type. Most of the remaining members control elements that may be but are not required to be present in this input string. The following table indicates how individual members affect the elements that may be present in .

  Non-composite NumberStyles values

  Elements permitted in s in addition to digits

  Decimal digits only.

  The decimal point ( . ) and fractional-digits elements. However, fractional-digits must consist of only one or more 0 digits or an is thrown.

  The parameter can also use exponential notation. If represents a number in exponential notation, it must represent an integer within the range of the data type without a non-zero, fractional component.

  The ws element at the beginning of .

  The ws element at the end of .

  A positive sign can appear before digits.

  A positive sign can appear after digits.

  The sign element in the form of parentheses enclosing the numeric value.

  The thousands separator ( , ) element.

  The $ element.

  If the flag is used, must be a hexadecimal value. The only other flags that can be present in are and . (The enumeration has a composite number style, , that includes both white space flags.)

  The parameter is an implementation, such as a or object. The parameter supplies culture-specific information used in parsing. If is null, the object for the current culture is used.

  Converts the string representation of a number in a specified style and culture-specific format to its 32-bit signed integer equivalent.

  A 32-bit signed integer equivalent to the number specified in .

  A string containing a number to convert. A bitwise combination of enumeration values that indicates the style elements that can be present in . A typical value to specify is . An object that supplies culture-specific information about the format of . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  true if the value of the current instance is not zero; otherwise, false.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Char ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime `` To be added.

  This conversion is not supported. Attempting to use this method throws an .

  This conversion is not supported. No value is returned.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to an .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The value of the current instance, unchanged.

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to an .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.SByte ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to an .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Single ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the static (Shared in Visual Basic) method instead.

  For a description of this member, see .

  The value of the current instance, converted to .

  An object that provides information about the format of the returned value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt16 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface. The recommended alternative is to call the method.

  For a description of this member, see .

  The value of the current instance, converted to a .

  This parameter is ignored.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The method formats an value in the default ("G", or general) format by using the object of the current culture. If you want to specify a different format or culture, use the other overloads of the method, as follows:

  To use format

  For culture

  Use the overload

  Default ("G") format

  A specific culture

  A specific format

  Default (current) culture

  A specific format

  A specific culture

  The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about formatting, see Formatting Types.

  Converts the numeric value of this instance to its equivalent string representation.

  The string representation of the value of this instance, consisting of a negative sign if the value is negative, and a sequence of digits ranging from 0 to 9 with no leading zeroes.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method formats an value in the default ("G", or general) format by using the object of a specified culture. If you want to specify a different format or the current culture, use the other overloads of the method, as follows:

  To use format

  For culture

  Use the overload

  Default ("G") format

  Default (current) culture

  A specific format

  Default (current) culture

  A specific format

  A specific culture

  The parameter is an object that implements the interface. Its method returns a object that provides culture-specific information about the format of the string that is returned by this method. The object that implements can be any of the following:

  A object that represents the culture whose formatting rules are to be used.

  A object that contains specific numeric formatting information for this value.

  A custom object that implements and whose method returns a object that provides formatting information.

  If is null or a object cannot be obtained from , the return value is formatted using the object for the thread current culture. For information about the thread current culture, see .

  The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about formatting, see Formatting Types.

  Converts the numeric value of this instance to its equivalent string representation using the specified culture-specific format information.

  The string representation of the value of this instance as specified by .

  An object that supplies culture-specific formatting information. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` is invalid.

  This example demonstrates converting a to a string.

  `using System; public class Int32ToStringExample { public static void Main() { Int32 i = 32; Console.WriteLine(i); String[] formats = {"c", "d", "e", "f", "g", "n", "p", "x" }; foreach(String str in formats) Console.WriteLine("{0}: {1}", str, i.ToString(str)); } }`

  The output is

  32

  c: $32.00

  d: 32

  e: 3.200000e+001

  f: 32.00

  g: 32

  n: 32.00

  p: 3,200.00 %

  x: 20

  The method formats an value in a specified format by using a object that represents the conventions of the current culture. If you want to use the default ("G", or general) format or specify a different culture, use the other overloads of the method, as follows:

  To use format

  For culture

  Use the overload

  Default ("G") format

  Default (current) culture

  Default ("G") format

  A specific culture

  A specific format

  A specific culture

  The parameter can be any valid standard numeric format specifier except for "R", as well as any combination of custom numeric format specifiers. If is null or an empty string (""), the return value of this instance is formatted with the general numeric format specifier ("G").

  The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about formatting, see Formatting Types.

  The return value of this instance is formatted with the for the current culture.

  Converts the numeric value of this instance to its equivalent string representation, using the specified format.

  The string representation of the value of this instance as specified by .

  A standard or custom numeric format string. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` is invalid.

  The method formats an value in a specified format by using the object of a specified culture. If you want to use default format or culture settings, use the other overloads of the method, as follows:

  To use format

  For culture

  Use the overload

  Default ("G") format

  Default (current) culture

  Default ("G") format

  A specific culture

  A specific format

  Default (current) culture

  The parameter can be either a standard or a custom numeric format string. All standard numeric format strings other than "R" (or "r") are supported, as are all custom numeric format characters. If is null or an empty string (""), the return value for this instance is formatted with the general numeric format specifier ("G").

  The parameter is an object that implements the interface. Its method returns a object that provides culture-specific format information about the format of the string that is returned by this method. The object that implements can be any of the following:

  A object that represents the culture whose formatting rules are to be used.

  A object that contains specific numeric formatting information for this value.

  A custom object that implements and whose method returns a object that provides formatting information.

  If is null or a object cannot be obtained from , the return value for this instance is formatted with the for the current culture.

  The .NET Framework provides extensive formatting support, which is described in greater detail in the following formatting topics:

  For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

  For more information about formatting, see Formatting Types.

  Converts the numeric value of this instance to its equivalent string representation using the specified format and culture-specific format information.

  The string representation of the value of this instance as specified by and .

  A standard or custom numeric format string. An object that supplies culture-specific formatting information. 0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
0